DISPLAY
function()
    return aura_env.hyp .. "\n" .. aura_env.vertiDista
end

EVERY FRAME
function()
    aura_env.pX = UnitPosition("player") or 0
    aura_env.pY = select(2,UnitPosition("player")) or 0
    aura_env.pZ = select(3,UnitPosition("player")) or 0
    print(aura_env.pZ, aura_env.tZ)
    local ajdX = aura_env.pX - aura_env.tX
    local ajdY = aura_env.pY - aura_env.tY
    aura_env.tX = math.floor(aura_env.tX * 100) / 100
    aura_env.tY = math.floor(aura_env.tY * 100) / 100
    aura_env.pX = math.floor(aura_env.pX * 100) / 100
    aura_env.pY = math.floor(aura_env.pY * 100) / 100
    aura_env.hyp = math.floor((math.sqrt((ajdX * ajdX) + (ajdY * ajdY))))
    aura_env.vertiDista = math.floor(aura_env.pZ - aura_env.tZ)
end

CHAT_MSG_SYSTEM
function(_,msg)
    if string.match(msg, "X:") and not string.match(msg, "ZoneX:") then
        aura_env.tX = msg:match("X: [%-*(%d+)%.*]+") or 0
        aura_env.tY = msg:match("Y: [%-*(%d+)%.*]+") or 0
        aura_env.tZ = msg:match("Z: [%-*(%d+)%.*]+") or 0
        aura_env.tX = aura_env.tX:match("[%-*(%d+)%.*]+")
        aura_env.tY = aura_env.tY:match("[%-*(%d+)%.*]+")
        aura_env.tZ = aura_env.tZ:match("[%-*(%d+)%.*]+")
        print(aura_env.tX, aura_env.tY, aura_env.tZ)
    end
end

INIT
aura_env.hyp = 0
aura_env.tX = 0
aura_env.tY = 0
aura_env.tZ = 0
aura_env.pX = 0
aura_env.pY = 0
aura_env.pZ = 0
aura_env.vertiDista = 0